std::stop_token Class Reference

## Public Member Functions

| stop_token (const stop_token &) noexcept=default
| stop_token (stop_token &&) noexcept=default
stop_token & | operator= (const stop_token &) noexcept=default
stop_token & | operator= (stop_token &&) noexcept=default
bool | stop_possible () const noexcept
bool | stop_requested () const noexcept
void | swap (stop_token &__rhs) noexcept

## Friends

bool | operator== (const stop_token &__a, const stop_token &__b)
template<typename _Callback >
class | stop_callback
class | stop_source
void | swap (stop_token &__lhs, stop_token &__rhs) noexcept

## Detailed Description

Allow testing whether a stop request has been made on a `stop_source`.

Definition at line 52 of file stop_token.

The documentation for this class was generated from the following file:

- stop_token